Page 1 of 3 123 LastLast
Results 1 to 10 of 24

Thread: Lucid Lynx GLX broken after xserver-common and xserver-xorg-core update

  1. #1
    Join Date
    Mar 2008
    Beans
    10

    Question [ Resolved partial]Lucid Lynx GLX broken by xserver-common and xserver-xorg-core upd.

    Update on the 20th of October, 2011:
    Ubuntu Canonical team has approached and solved the problem by releasing a new fix for the listed packages.

    Code:
    Start-Date: 2011-10-20  08:55:34
    Upgrade: xserver-common (1.7.6-2ubuntu7.6, 1.7.6-2ubuntu7.9), xserver-xorg-core (1.7.6-2ubuntu7.6, 1.7.6-2ubuntu7.9), xnest (1.7.6-2ubuntu7.6, 1.7.6-2ubuntu7.9)
    End-Date: 2011-10-20  08:56:05
    Based on these new packages, OpenGL (GLX) support has been restored, and is functional. For more information please see bug report of Launchpad bugs.

    Original post:

    Good day everyone!

    I just got informed about some latest security updates for Ubuntu Lucid 10.04.03, which came with the packages of:
    Code:
    Upgrade: xserver-common (1.7.6-2ubuntu7.6, 1.7.6-2ubuntu7.8), xserver-xorg-core (1.7.6-2ubuntu7.6, 1.7.6-2ubuntu7.8), xnest (1.7.6-2ubuntu7.6, 1.7.6-2ubuntu7.8)
    Now since this update, as it worked before with current layout, I am unable to initialize the OpenGL support, switching to Compiz, instead of plain metacity. When doing this I am being refused by the system. Looking at the logs I have found this in .xsession-errors:
    Code:
    Nem érhető el olyan grafikus illesztőprogram a rendszerhez, amely támogatná a kompozit bővítményt, vagy a jelenlegi már támogatja ezt.
    (Translated: No accessible driver available, which would support the compiz extension, or the current one already supporting it.)
    
    compiz (core) - Fatal: Root visual is not a GL visual
    compiz (core) - Error: Failed to manage screen: 0
    compiz (core) - Fatal: No manageable screens found on display :0.0
    
    (gnome-appearance-properties:2962): Gdk-CRITICAL **: gdk_display_sync: assertion `GDK_IS_DISPLAY (display)' failed
    Some details on my system:
    Code:
    lshw:
    description: VGA compatible controller
    product: Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller
    configuration: driver=i915 latency=0
    
    uname -a:
    Linux <name removed> 2.6.38-12-generic #51~lucid1-Ubuntu SMP Thu Sep 29 19:55:22 UTC 2011 i686 GNU/Linux
    
    dpkg -l | grep xserver
    xserver-xorg-core                                 2:1.7.6-2ubuntu7.8
    xserver-common                                    2:1.7.6-2ubuntu7.8
    xserver-xorg-video-intel                          2:2.9.1-3ubuntu5
    When testing it using glxgears I get this:
    Code:
    glxgears:
    X Error of failed request:  BadLength (poly request too large or internal Xlib length error)
      Major opcode of failed request:  153 (GLX)
      Minor opcode of failed request:  17 (X_GLXVendorPrivateWithReply)
      Serial number of failed request:  17
      Current serial number in output stream:  17
    As it seems the full OpenGL support disappeard since this new update. Anyone else experiencing similarly?

    PS.: Yes, I know about ubuntu-bug, but apparently that seems having a bug too. It can't open up Firefox after collecting data, and crashes with an error message. And no, I haven't touched anything on X.org or around those packages, just used regular updates.
    Last edited by norbert79; October 21st, 2011 at 07:54 AM.

  2. #2
    Join Date
    Mar 2007
    Beans
    79

    Re: Lucid Lynx GLX broken after xserver-common and xserver-xorg-core update

    Hi,

    I just want to confirm that I've experienced the same on my Lucid system. Also, I'll note that reverting to the prior versions of xserver-common and xserver-xorg-core restores GLX for me. So it's definitely the update.

    I don't see any errors in my Xorg.0.log. It reports that GLX is loaded, with no errors:
    Code:
    (II) AIGLX: enabled GLX_MESA_copy_sub_buffer
    (II) AIGLX: enabled GLX_SGI_make_current_read
    (II) AIGLX: enabled GLX_SGI_swap_control and GLX_MESA_swap_control
    (II) AIGLX: GLX_EXT_texture_from_pixmap backed by buffer objects
    (II) AIGLX: Loaded and initialized /usr/lib/dri/r200_dri.so
    (II) GLX: Initialized DRI2 GL provider for screen 0
    So that eliminates a linking error such as the one reported here:
    http://forums.debian.net/viewtopic.php?f=6&t=65667

    I see that you use the i915 (intel) driver. I'm using the radeon (ati) video driver. It seems that this is not hardware or driver dependent. We are both using the same kernel, 2.6.38-12 #51~lucid1-Ubuntu SMP, although I am using the pae version.
    Last edited by sybille; October 19th, 2011 at 11:42 AM.

  3. #3
    Join Date
    Mar 2008
    Beans
    10

    Re: Lucid Lynx GLX broken after xserver-common and xserver-xorg-core update

    Sybille: Thank you for confirming. I also wanted to confirm, that reverting to previous version (using the packages from launchpad, otherwise it was impossible getting older packages back) solved the problem, got OpenGL support again, so neither I can see any errors listed in the logs.

    So basically it's the update causing the problem.

  4. #4
    Join Date
    Mar 2007
    Beans
    79

    Re: Lucid Lynx GLX broken after xserver-common and xserver-xorg-core update

    I was happy to find that you'd already posted!

    To revert, I used synaptic, forced the package version (Package -> Force version...) and then, for the moment, locked the version (Package -> Lock version).

    This is obviously a temporary workaround, since the problematic update is a security update that could "cause the X server to crash, leading to a denial or service, or possibly execute arbitrary code with root privileges," according to the Security Notice:
    http://www.ubuntu.com/usn/usn-1232-1/

    Any possibility of arbitrary code being executed with root privileges is not something mess with.

    It looks like there is now a bug for this issue - I went to open one.
    https://bugs.launchpad.net/ubuntu/+s...rg/+bug/877905
    I've just added a confirmation there with a link to this thread.

  5. #5
    Join Date
    Aug 2011
    Beans
    23
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: Lucid Lynx GLX broken after xserver-common and xserver-xorg-core update

    I first noticed the problem on a Ubuntu 10.04 installation running in VirtualBox.
    After the upgrades of xserver-xorg-core and xserver-common (2:1.7.6-2ubuntu7.8 ) sent out yesterday it was impossible to activate desktop effects. I thought it was merely a matter of reinstalling the Virtualbox guest additions but that did not help.

    So now I am running without desktop effects in that machine.

    But then I updated the desktop machine (also Ubuntu 10.04) which has an ATI Radeon HD 5550 graphics card.
    After restart the screen went totally black during startup...

    Removing the graphics card and using the VGA native graphics on the Gigabyte motherboard did not help.
    Same problem there....

    Tried to revert the installation but I don't think I succeeded for some reason.

    I was able to start the desktop machine in Gnome failsafe mode and disabled desktop effects.
    Will have to manage without them until this has been resolved.

    If it is a problem on two totally different machines I am using it must affect many users (even if Ubuntu is a rather small community).

    This bug meant several hours of investigation yesterday evening (and i lost some sleep so I am tired today) which I had preferred been spending on something more useful than annoying updates.
    Last edited by snakeplizzken; October 19th, 2011 at 01:33 PM.

  6. #6
    Join Date
    Mar 2008
    Beans
    10

    Re: Lucid Lynx GLX broken after xserver-common and xserver-xorg-core update

    Quote Originally Posted by sybille View Post
    I was happy to find that you'd already posted!

    ...

    It looks like there is now a bug for this issue - I went to open one.
    https://bugs.launchpad.net/ubuntu/+s...rg/+bug/877905
    I've just added a confirmation there with a link to this thread.
    Cheers for that. Any idea how you can post a bug report on Ubuntu-bug? It's not possible opening bugs, than using this tool only, but since that's broken for me, I am stuck

  7. #7
    Join Date
    Mar 2008
    Beans
    10

    Re: Lucid Lynx GLX broken after xserver-common and xserver-xorg-core update

    Quote Originally Posted by snakeplizzken View Post
    Tried to revert the installation but I don't think I succeeded for some reason.

    I was able to start the desktop machine in Gnome failsafe mode and disabled desktop effects.
    Will have to manage without them until this has been resolved.
    Following the advice of Sybille:
    To revert, I used synaptic, forced the package version (Package -> Force version...) and then, for the moment, locked the version (Package -> Lock version).
    I think using this method you would able to revert to the older versions also.

    If not, here are the links I used for retrieving the older packages:
    xserver-common i386 1.7.6-2ubuntu7.6
    xserver-xorg-core i386 1.7.6-2ubuntu7.6
    xnest i386 1.7.6-2ubuntu7.6

    Just download them, and dpkg -i *.deb on all of them.

  8. #8
    Join Date
    Mar 2007
    Beans
    79

    Re: Lucid Lynx GLX broken after xserver-common and xserver-xorg-core update

    Oh, is Ubuntu-bug not the same as Launchpad Ubuntu bugs?

    In any case, it would be helpful if anyone who's experiencing this could go to the Launchpad bug page and click on the top to confirm that the bug is affecting you.

    Here's the link again:
    https://bugs.launchpad.net/ubuntu/+s...rg/+bug/877905

  9. #9
    Join Date
    Mar 2008
    Beans
    10

    Re: Lucid Lynx GLX broken after xserver-common and xserver-xorg-core update

    Quote Originally Posted by sybille View Post
    Oh, is Ubuntu-bug not the same as Launchpad Ubuntu bugs?

    In any case, it would be helpful if anyone who's experiencing this could go to the Launchpad bug page and click on the top to confirm that the bug is affecting you.

    Here's the link again:
    https://bugs.launchpad.net/ubuntu/+s...rg/+bug/877905
    Did already. Ubuntu-bug is the tool using or to be used for reporting bugs into launchpad bugs, and if you click "report a bug" it leads you to a Wiki page, where you get explained how you can send in a bug using Ubuntu-bug. But I guess they never considered the possibility, that Ubuntu-bug might be broken for anyone.

  10. #10
    Join Date
    Nov 2009
    Beans
    7
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: Lucid Lynx GLX broken after xserver-common and xserver-xorg-core update

    I noticed this bug because immediately after the update desktop effects stopped working.

    The affected system is a Toshiba Portege M700 tablet (Intel i965 video driver). As with the other people who have reported this bug, reverting xserver-common and xserver-xorg-core back to the previous versions corrects this problem.

    Is there a system this "update" actually works on?

Page 1 of 3 123 LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •